import React, { Component } from 'react';
import BlogpostStore from '../Stores/Blogpost';
import dateFormat from 'dateformat';
import RichTextElement from '../Components/RichTextElement';

let blogpostCount = 10;

let getState = () => {
    return {
        blogposts: BlogpostStore.getBlogposts(blogpostCount)
    };
};

class Blogposts extends Component {

    constructor(props) {
        super(props);

        this.state = getState();
        this.onChange = this.onChange.bind(this);
    }

    componentDidMount() {
        BlogpostStore.addChangeListener(this.onChange);
        BlogpostStore.provideBlogposts(blogpostCount);
    }

    componentWillUnmount() {
        BlogpostStore.removeChangeListener(this.onChange);
    }

    onChange() {
        this.setState(getState());
    }

    render() {
        let formatDate = (value) => {
            return dateFormat(value, "mmmm d");
        };

        let counter = 0;

        let blogposts = this.state.blogposts.reduce((result, blogpost, index) => {
            if (index % 4 === 0) {
                result.push(
                  <div className="clear" key={counter++}></div>
            );
        }

        let e = blogpost.elements;
        let title = e.title.value;
        let imageLink = e.header_image.value[0].url;
        let postDate = formatDate(e.date.value);
        let perex = e.perex;
        let url = "http://kenticocloud.com/blog/" + e.url_slug.value;

        result.push(
         <div className="col-md-3" key={counter++}>
          <div className="article-tile">
            <a href={url} target="_blank">
              <img alt={"Blogpost " + title} className="article-tile-image" src={imageLink} title={"Blogpost " + title} />
            </a>
            <div className="article-tile-date">
          {postDate}
            </div>
            <div className="article-tile-content">
              <h2 className="h4">
            <a href={url} target="_blank">{title}</a>
              </h2>
              
            <RichTextElement className="article-detail-content" element={perex} />
            </div>
          </div>
        </div>
        );

              return result;
          }, []);

              return (
                <div className="container">
                  {blogposts}
                </div>
          );
          }
}

export default Blogposts;